安装openfetion1.5的问题

上网、浏览、聊天、下载等
回复
头像
wangxue
帖子: 47
注册时间: 2010-05-18 12:03
送出感谢: 1 次
接收感谢: 0

安装openfetion1.5的问题

#1

帖子 wangxue » 2010-06-01 23:29

解压后./configure,显示代码部分如下:

代码: 全选

checking for xml2-config... no
checking for libxml - version >= 2.0.0... no
*** The xml2-config script installed by LIBXML could not be found
*** If libxml was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the XML2_CONFIG environment variable to the
*** full path to xml2-config.
configure: error: OpenFetion 1.4 needs LIBXML2
尝试安装libxml2,显示已经安装且为最新版,后来在网上看到如下文章:
After installing libxml 2.2.8, the lib files were installed to /usr/local/lib.
I guess php looks in /usr. So if you installed libxml yourself and didn't specify it to install in /usr then you have to use --with-xml="/usr/local/lib" to get it to work.

在安装完 libxml 2.2.8 后,lib 被安装到 /usr/local/lib 里面,我想 php 会在 /usr 下查找 lib,所以,如果你是自己安装 libxml,而且没有指定安装到 /usr , 你不得不使用 --with-xml="/usr/local/lib" 来让正常运行

I hope I'm not the only one with that problem. :)

希望我不是唯一遇到这个问题的人!


大致看明白了,就是不知道该怎么操作,新手求代码 :em02
ubuntu 13.04
头像
Jarson
帖子: 2371
注册时间: 2008-07-21 9:44
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

Re: 安装openfetion1.5的问题

#2

帖子 Jarson » 2010-06-02 11:24

一个笨笨的方法是把/usr/local/lib目录下的库文件拷贝到/usr/lib目录下,也许可以,但这方法我自己都不喜欢,俺有轻度洁癖
或者,如果openfetion的编译选项中有 --with-xml的选项,那就按照你所贴出的方法试一下呗
头像
wangxue
帖子: 47
注册时间: 2010-05-18 12:03
送出感谢: 1 次
接收感谢: 0

Re: 安装openfetion1.5的问题

#3

帖子 wangxue » 2010-06-02 11:54

我只知道./configure make make install
这个--with-xml="/usr/local/lib"选项是哪个命令里面的阿,不会用 :em06
ubuntu 13.04
头像
Jarson
帖子: 2371
注册时间: 2008-07-21 9:44
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

Re: 安装openfetion1.5的问题

#4

帖子 Jarson » 2010-06-02 19:40

wangxue 写了:我只知道./configure make make install
这个--with-xml="/usr/local/lib"选项是哪个命令里面的阿,不会用 :em06
编译软件时的配置选项啊,例如:

代码: 全选

./configure --with-xml="/usr/local/lib"
上面是假设有--with-xml这个配置选项。
./configure后面是可以接很多个配置选项的,可以./configure -h查看,选项之间用空白符隔开。
头像
wangxue
帖子: 47
注册时间: 2010-05-18 12:03
送出感谢: 1 次
接收感谢: 0

Re: 安装openfetion1.5的问题

#5

帖子 wangxue » 2010-06-03 11:12

代码: 全选

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-xml-prefix=PFX   Prefix where libxml is installed (optional)
  --with-xml-exec-prefix=PFX Exec prefix where libxml is installed (optional)
可是我找不到xml2

代码: 全选

wangxue@wangxue-desktop:/$ find xml2-config
find: “xml2-config”: 没有那个文件或目录

代码: 全选

wangxue@wangxue-desktop:/$ sudo apt-get install libxml2
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
libxml2 已经是最新的版本了。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
到底要怎么弄阿,确实不会搞
ubuntu 13.04
回复

回到 “因特网相关软件”